%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%endif
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define name mozilla-thunderbird-lightning
%define oname lightning
%define version 1.0b2
%define release %mkrel 3
%define _buildroot %{_tmppath}/%{name}-buildroot
%define thunderbird_version 3.1.3
%define mozillalibdir %{_libdir}/thunderbird-%{thunderbird_version}

Summary: Calendar extension for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://releases.mozilla.org/pub/mozilla.org/calendar/%oname/releases/%version/source/%{oname}-%version.source.tar.bz2
Source1: chrome.manifest
Source2: langpack-0.9.tar.bz2
Patch0: lightning-1.0b2-fix-str-fmt.patch
Patch2:	lightning-sunbird-1.0b1-fix-branding-nightly.patch
Patch3: lightning-1.0b2-link.patch
License: GPL
Group: Networking/WWW
Url: http://www.mozilla.org/projects/calendar/lightning/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: mozilla-thunderbird = 0:%{thunderbird_version}
BuildRequires:  doxygen
BuildRequires:  pkgconfig
BuildRequires:  jpeg-devel
BuildRequires:  png-devel
BuildRequires:  libIDL-devel
BuildRequires:  zip 
BuildRequires:  tcsh
BuildRequires:  gtk+2-devel >= 2.2.0
BuildRequires:  gnome-vfs2-devel
BuildRequires:  imagemagick
BuildRequires:  freetype2-devel
BuildRequires:  X11-devel
BuildRequires:  nsinstall
BuildRequires:  libalsa-devel
BuildRequires:	libnotify-devel >= 0.4
BuildRequires:	libiw-devel
Obsoletes:      mozilla-lightning

#ExclusiveArch:  %{ix86}

%description
Calendar extension for Thunderbird

%prep
%setup -q -n comm-1.9.2
%patch0 -p1 -b .str
%patch3 -p0 -b .link

%build
CFLAGS=$(echo %optflags | %{__sed} -e 's/-O2/-Os/' -e 's/-fexceptions//')
CFLAGS="$CFLAGS -fno-strict-aliasing"
CXXFLAGS="$CFLAGS"
RPM_OPT_FLAGS="$CFLAGS"
export CFLAGS
export CXXFLAGS
export RPM_OPT_FLAGS

%configure2_5x --host=%{_host} --target=%{_target_platform} \
	--enable-application=calendar --enable-calendar --disable-pedantic \
	--disable-debug --enable-official-branding --disable-crashreporter
%make 

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/
mkdir -p mozilla/dist/xpi-stage/build
cp mozilla/dist/xpi-stage/lightning.xpi mozilla/dist/xpi-stage/build/
cd mozilla/dist/xpi-stage/build
unzip -n lightning.xpi
#tar xjvf  %SOURCE2
cp -fr %SOURCE1 .
rm -f lightning.xpi
cp -f -r * %buildroot%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/
cp -f -r %SOURCE1 %buildroot%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/
%dir %{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/chrome/
%dir %{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/
%dir %{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/defaults/
%dir %{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/calendar-js/
%dir %{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/modules/
%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/chrome/*
%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/*
%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/defaults/*
%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/calendar-js/*
%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/modules/*
%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/install.rdf
%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/chrome.manifest
%{mozillalibdir}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/timezones.sqlite


%changelog
* Tue Sep 07 2010 Funda Wang <fwang@mandriva.org> 1.0b2-3mdv2011.0
+ Revision: 576610
- rebuild for new tb

* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 1.0b2-2mdv2011.0
+ Revision: 566582
- rebuild for new tb

* Thu Jul 22 2010 Funda Wang <fwang@mandriva.org> 1.0b2-1mdv2011.0
+ Revision: 556950
- BR iw
- add BR
- rediff str fmt patch
- fix linkage
- New version 1.0b2 for tb 3.1

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0b1-6mdv2010.1
+ Revision: 549306
- Rebuild with TB 3.0.5

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 1.0b1-5mdv2010.1
+ Revision: 530355
- rebuild for new tb

* Fri Mar 05 2010 Crispin Boylan <crisb@mandriva.org> 1.0b1-4mdv2010.1
+ Revision: 514872
- Rebuild for thunderbird 3.0.3

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 1.0b1-3mdv2010.1
+ Revision: 511360
- rebuild for tb 3.0.2

* Fri Jan 22 2010 Crispin Boylan <crisb@mandriva.org> 1.0b1-2mdv2010.1
+ Revision: 494885
- Rebuild for thunderbird 3.0.1

* Wed Dec 30 2009 Crispin Boylan <crisb@mandriva.org> 1.0b1-1mdv2010.1
+ Revision: 483835
- Disable crash reporter
- BuildRequires alsa
- Update to 1.0 beta 1
- Add patch from svn for branding
- Add more fixes to patch 2
- Disable i10n for now as langpacks are not updated yet

* Tue Dec 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9-6mdv2010.1
+ Revision: 472336
- Add translations

* Mon Aug 24 2009 Jerome Martin <jmartin@mandriva.org> 0.9-5mdv2010.0
+ Revision: 420321
- Updated for thunderbird 2.0.0.23

* Wed Jun 24 2009 Funda Wang <fwang@mandriva.org> 0.9-4mdv2010.0
+ Revision: 388828
- fix gcc44 building
- rebuild for new tb

* Thu Mar 19 2009 Funda Wang <fwang@mandriva.org> 0.9-3mdv2009.1
+ Revision: 357641
- rebuild for new tb

* Thu Jan 01 2009 Funda Wang <fwang@mandriva.org> 0.9-2mdv2009.1
+ Revision: 323088
- rebuild for new tb
- fix str fmt

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Nov 21 2008 Funda Wang <fwang@mandriva.org> 0.9-1mdv2009.1
+ Revision: 305392
- fix file list
- New version 0.9
- disable cputoolize
- setup -q
- use configure2_5x
- New version 0.8

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Rebuild against new TB

* Wed Feb 27 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7-3mdv2008.1
+ Revision: 175888
- Rebuilt against TB 2.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.7-2mdv2008.1
+ Revision: 116539
- New version   0.7

* Mon Dec 03 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5-2mdv2008.1
+ Revision: 114586
- Rebuild against new thunderbird

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 0.5-2mdv2008.0
+ Revision: 59136
- Rebuild for new tb

* Wed Jul 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5-1mdv2008.0
+ Revision: 51421
- New version 0.5


* Thu Jan 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-5mdv2007.0
+ Revision: 107407
-Rebuild for new thunderbird

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-4mdv2007.1
+ Revision: 96841
- Fix obsoletes tks guillomovitch

* Mon Dec 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-3mdv2007.1
+ Revision: 95113
- Fix rpm name
- Revert to previous tarball as actual cvs trunk only
  work for thunderbird >= 3.0a
- Change name

* Fri Dec 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-2mdv2007.1
+ Revision: 93841
- Synx sources
- New cvs snapshot (and add back for x86_64)

* Thu Dec 07 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-1mdv2007.1
+ Revision: 92130
- Remove -fPIC arg for the moment as it is broken
- Build only on x86
- Add some BuildRequires
- import mozilla-lightning-0.3-1mdv2007.0

